Retrieve an email list.
curl --request GET \
--url https://{subdomain}.outseta.com/api/v1/email/lists/{emailListUid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.outseta.com/api/v1/email/lists/{emailListUid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.outseta.com/api/v1/email/lists/{emailListUid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"Name": "string",
"Description": "string",
"WelcomeSubject": "string",
"WelcomeBody": "string",
"WelcomeFromName": "string",
"WelcomeFromEmail": "string",
"RequiresDoubleOptIn": false,
"IsInternal": false,
"EmailListPerson": [
{
"Uid": "string",
"_objectType": "string",
"Created": "string",
"Updated": "string",
"ActivityEventData": {},
"EmailList": {},
"Person": {},
"EmailListSubscriberStatus": 1,
"SubscribedDate": "string",
"ConfirmedDate": "string",
"ConfirmationNotes": "string",
"UnsubscribedDate": "string",
"CleanedDate": "string",
"WelcomeEmailDeliverDateTime": "string",
"WelcomeEmailOpenDateTime": "string",
"UnsubscribeReason": "string",
"UnsubscribeReasonOther": "string",
"RecaptchaToken": "string",
"RecaptchaSiteKey": "string",
"SendWelcomeEmail": false,
"Source": "string"
}
],
"FieldConfigurationDataJSON": "string",
"CountSubscriptionsActive": 0,
"CountSubscriptionsBounce": 0,
"CountSubscriptionsNotConfirmed": 0,
"CountSubscriptionsSpam": 0,
"CountSubscriptionsUnsubscribed": 0
}Email lists
Retrieve an email list.
GET
/
api
/
v1
/
email
/
lists
/
{emailListUid}
Retrieve an email list.
Authorizations
BearerApiKey
Enter your access token (OAuth / JWT).
Path Parameters
The email list's unique identifier
Response
Minimum string length:
1Minimum string length:
1Required string length:
1 - 100Maximum string length:
10Maximum string length:
255Maximum string length:
250Maximum string length:
250Maximum string length:
250